<template>
  <div class="relative">
    <hr class="max-w-7xl mx-auto my-4" />
    <template v-if="isLoading" :class="[isLoading ? 'isLoading' : '']">
      <div class="load max-w-7xl mx-auto text-center text-lg">
        isLoading...
      </div>
    </template>
    <VueSlickCarousel
      v-else
      ref="popular_products_carousel"
      class="max-w-7xl mx-auto pt-3"
      v-bind="product_washers_setting"
      v-if="products.length > 0"
    >
      <!-- <div>
      <div class="bg-white">
        <div class="max-w-3xl mx-auto sm:pb-24 lg:max-w-7xl">
          <div
            class="mt-6 grid grid-cols-1 gap-y-10 gap-x-6 sm:grid-cols-2 lg:grid-cols-4 xl:gap-x-8"
          > -->
      <div v-for="product in products" :key="product.id" class="mx-auto">
        <!-- <ProductItem class="mx-2" :product="product" /> -->
        <nuxt-link to="product.href">
          <img :src="`https://2sote.com/File/Slider/${product.pic}`" />
        </nuxt-link>
      </div>
      <!-- </div>
        </div>
      </div>
    </div> -->
    </VueSlickCarousel>
    <div
      v-if="products.length > 0"
      class="vueCarousel absolute bottom-0 right-3 mb-4"
    >
      <div class="text-left">
        <button
          class="pt-1"
          variant="link"
          @click="$refs.popular_products_carousel.next()"
        >
          <img
            class="arrow"
            width="15"
            height="15"
            src="arrow_right.svg"
            alt=""
            srcset=""
          />
        </button>
        <button
          class="pt-1"
          @click="$refs.popular_products_carousel.prev()"
          variant="link"
        >
          <img
            class="arrow"
            width="15"
            height="15"
            src="arrow_left.svg"
            alt=""
            srcset=""
          />
        </button>
      </div>
    </div>
  </div>
</template>

<script>
import VueSlickCarousel from 'vue-slick-carousel'
import 'vue-slick-carousel/dist/vue-slick-carousel.css'
import 'vue-slick-carousel/dist/vue-slick-carousel-theme.css'
export default {
  components: {
    VueSlickCarousel,
  },
  data() {
    return {
      product_washers_setting: {
        dots: true,
        arrows: false,
        adaptiveHeight: true,
        dotsClass: 'slick-dots  product_washers-dot-class',
        edgeFriction: 0.35,
        infinite: true,
        speed: 500,
        slidesToShow: 1,
        slidesToScroll: 1,
        responsive: [
          {
            breakpoint: 1024,
            settings: {
              slidesToShow: 1,
              slidesToScroll: 1,
              infinite: true,
              dots: true,
            },
          },
          {
            breakpoint: 600,
            settings: {
              slidesToShow: 1,
              slidesToScroll: 1,
              initialSlide: 2,
            },
          },
          {
            breakpoint: 480,
            settings: {
              slidesToShow: 1,
              slidesToScroll: 1,
            },
          },
        ],
      },
      products: [],
      isLoading: false,
      // products: [
      //   {
      //     id: 1,
      //     name: 'اسنک کرانچی پنیری',
      //     href: '/auth',
      //     imageSrc: '66 copy.png',
      //     imageAlt: "Front of men's Basic Tee in black.",
      //   },
      //   {
      //     id: 1,
      //     name: 'اسنک کرانچی پنیری',
      //     href: '#',
      //     imageSrc: '66 copy.png',
      //     imageAlt: "Front of men's Basic Tee in black.",
      //   },
      //   {
      //     id: 1,
      //     name: 'اسنک کرانچی پنیری',
      //     href: '#',
      //     imageSrc: '66 copy.png',
      //     imageAlt: "Front of men's Basic Tee in black.",
      //   },
      //   {
      //     id: 1,
      //     name: 'اسنک کرانچی پنیری',
      //     href: '#',
      //     imageSrc: '66 copy.png',
      //     imageAlt: "Front of men's Basic Tee in black.",
      //   },
      //   {
      //     id: 1,
      //     name: 'اسنک کرانچی پنیری',
      //     href: '#',
      //     imageSrc: '66 copy.png',
      //     imageAlt: "Front of men's Basic Tee in black.",
      //   },
      //   {
      //     id: 1,
      //     name: 'اسنک کرانچی پنیری',
      //     href: '#',
      //     imageSrc: '66 copy.png',
      //     imageAlt: "Front of men's Basic Tee in black.",
      //   },
      // ],
    }
  },
  created() {
    this.fetchSliders()
  },
  methods: {
    async fetchSliders() {
      this.isLoading = true
      window.scrollTo(0, 0)

      // if (this.products.length) return

      var config = {
        method: 'GET',
        url: `/api/Base/ListSliderbyType?type=1`,
        headers: {
          'Content-Type': 'application/json',
        },
      }
      try {
        await this.$axios(config).then((response) => {
          console.log('fetchSliders', response)
          this.products = response.data.data
          this.isLoading = false
        })
      } catch (err) {
        this.isLoading = false
        console.log(err.response)
      }
    },
  },
}
</script>

<style lang="scss" scoped>
.isLoading {
  
}
.load{
  width: 1280px;
  height: 307px;
  opacity: 30%;
  background-color: bisque;
}
@media only screen and (min-width: 600px) {
  .vueCarousel {
    bottom: 40px;
    right: 60px;
  }
  .arrow {
    transform: scale(1.5, 1.5);
    margin-right: 10px;
  }
}
@media only screen and (min-width: 1024px) {
  .vueCarousel {
    bottom: 90px;
    right: 200px;
  }
  .arrow {
    transform: scale(2, 2);
    margin-right: 30px;
  }
}
</style>
